Subject: Re: linux-next: manual merge of the bpf-next tree with the vfs-brauner tree

From: Stephen Rothwell <[email-masked]>
Date: Mon, 16 Sep 2024 09:42:01 +1000

Hi all,

On Wed, 14 Aug 2024 10:56:29 +1000 Stephen Rothwell <[email-masked]> wrote:
>
> Today's linux-next merge of the bpf-next tree got a conflict in:
> 
>   fs/coda/inode.c
> 
> between commit:
> 
>   626c2be9822d ("coda: use param->file for FSCONFIG_SET_FD")
> 
> from the vfs-brauner tree and commit:
> 
>   1da91ea87aef ("introduce fd_file(), convert all accessors to it.")
> 
> from the bpf-next tree.
> 
> I fixed it up (the former removed the code modified by the latter, so I
> used the former) and can carry the fix as necessary. This is now fixed
> as far as linux-next is concerned, but any non trivial conflicts should
> be mentioned to your upstream maintainer when your tree is submitted for
> merging.  You may also want to consider cooperating with the maintainer
> of the conflicting tree to minimise any particularly complex conflicts.

This is now a conflict between the vfs tree and the vfs-branuer tree.

-- 
Cheers,
Stephen Rothwell